Bug 890527 - Quantum CLI help usage is not friendly / intuitive
Quantum CLI help usage is not friendly / intuitive
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
low Severity low
: ---
: 4.0
Assigned To: RHOS Maint
Ofer Blaut
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-27 09:43 EST by Ofer Blaut
Modified: 2016-04-26 12:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 02:36:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Quantum CLI output vs Nova output (3.01 KB, text/plain)
2012-12-27 09:43 EST, Ofer Blaut
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1237820 None None None Never

  None (edit)
Description Ofer Blaut 2012-12-27 09:43:31 EST
Created attachment 669601 [details]
Quantum CLI output vs Nova output

Description of problem:

Qunatum CLI help usage is not friendly / intuitive.

There are few issues with the CLI help:

1. too much output like :
- output formatters 
- positional arguments:
- shell formatter 

2. There is no explain on what values are used like :
-admin-state-down -  No explain about ( True | False ) 

3. addtional info which relates to the plugin used is not added , like 

--provider:network_type vlan 
--providerhysical_network <phys-net-name> 
--provider:segmentation_id <VID>

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run quantum net-create --help and check if it is easy to see 
- vlans 
- dns server add list
- DHCP disable option 
and others options 
2. IMHO when using plugings its commands should be added automatically
3. Attached Nova network CLI command output vs Quantum network CLI 

This is also apply to horizon where lots of options are missing 
  
Actual results:


Expected results:


Additional info:
Comment 2 Chris Wright 2013-01-03 15:34:03 EST
Needs an upstream discussion and bug filed
Comment 3 lpeer 2013-11-11 02:36:25 EST
After discussing with ofer we'll track this bug u/s only

Note You need to log in before you can comment on or make changes to this bug.